Adapter
11 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.
GET /api/v1/adapters/services/cw
Get all const cw from softcam decrypted adapter services.
Authentication: Authorization header (ApiKeyAuth)
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
GET /api/v1/adapters/services/{id}/cw
Get the const cw from softcam decrypted adapter services by sid.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | the sid of the service |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
GET /api/v1/adapters/stats
List adapter stats.
Authentication: Authorization header (ApiKeyAuth)
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
DELETE /api/v1/adapters/{id}
Delete the adapter by ID or Name.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | adapter ID or Name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
DELETE /api/v1/adapters/{id}/logs
Delete adapter logs.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Adapter ID |
Responses
| Status | Description | Schema |
|---|---|---|
204 | No Content | — |
GET /api/v1/adapters/{id}/logs
List adapter logs.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Adapter ID |
after | query | integer | No | Log sequence cursor; values less than or equal to 0 return all logs |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | array of utils.LogEntry |
GET /api/v1/adapters/{id}/logs/download
Download adapter logs.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | integer | Yes | Adapter ID |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | file |
POST /api/v1/adapters/{id}/restart
Restart the adapter.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Adapter ID or Name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
GET /api/v1/adapters/{id}/services
Get the adapter services by ID or Name.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | adapter ID or Name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
POST /api/v1/adapters/{id}/start
Start the adapter.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Adapter ID or Name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
POST /api/v1/adapters/{id}/stop
Stop the adapter.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Adapter ID or Name |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |